clear all

%% Roll or Ball bearings
% In this section, the different roll or ball bearings of the mechanism
% must be described as follow :
% bearing.Dm : Mean diameter of the ball bearing
% bearing.db : Diameter of the balls or rolls
% bearing.Z : Number of balls or rolls
% bearing.angle : Angle of contact between the balls and the ring of the
% bearing.
 

bearing1.Dm=0.054; 
bearing1.db=0.005;
bearing1.Z=25;
bearing1.angle=15;


%% Description of the gear pairs of the mechanism
% In this section, a description of the gear pairs is done. The element (i,j) 
% of the input structure data is filled
% as follow :

% data(i,j).type : type of the pair : here 'e' for the gear pairs
% data(i,j).Z1 : complex number of teeth of the first link
% data(i,j).Z1 : complex number of teeth of the second link

% Turning pair between the carter and the transmission (1,2)
differentiel(1,2).type='l';   
differentiel(1,2).level=1;



% Turning pairs between the carter and the two wheels (1,3) and (1,4)
differentiel(1,3).type='l';                 
differentiel(1,3).level=2;
differentiel(1,4).type='l';                 
differentiel(1,4).level=2;

% Turning pair between the carter and the differential cage (1,7)
differentiel(1,7).type='p';
differentiel(1,7).N=1;
differentiel(1,7).B1=bearing1;
differentiel(1,7).level=2;

       

% Turning pairs between the planet pinions and the differential cage (5,7)
differentiel(5,7).type='l';
differentiel(5,7).level=3;

differentiel(6,7).type='l';
differentiel(6,7).level=3;  
     

%% Description of the gear pairs of the mechanism
% In this section, a description of the gear pairs is done. The structure
% joint is used as follow :

% joint.type : type of the pair : here 'e' for the gear pairs
% joint.Z1 : complex number of teeth of the first link
% joint.Z1 : complex number of teeth of the second link


% Gear pairs between the right wheel and the planet pinions (3,5) and (3,6)
differentiel(3,5).type='e';    
differentiel(3,5).Z1=14*exp(-j*pi/4); 
differentiel(3,5).Z2=10*exp(j*pi/4);


differentiel(3,6).type='e';
differentiel(3,6).Z1=14*exp(j*pi/4);  
differentiel(3,6).Z2=10*exp(-j*pi/4);  


% Gear pairs between the left wheel and the planet pinions (4,5) and (4,6)
differentiel(4,5).type='e';    
differentiel(4,5).Z1=14*exp(j*pi/4);  
differentiel(4,5).Z2=10*exp(-j*pi/4);  



differentiel(4,6).type='e';   
differentiel(4,6).Z1=14*exp(-j*pi/4);  
differentiel(4,6).Z2=10*exp(j*pi/4);  


% Gear pair between the transmission and the differential cage (2,7)
differentiel(2,7).type='e';   
differentiel(2,7).Z1=13*exp(-j*0);  
differentiel(2,7).Z2=65*exp(j*0);  


differentiel(7,7).type=[];

