function T=jointtable(data);
% T=JOINTTABLE(DATA) summarize in the matrix T the joint architecture
%  for the mechanism described in DATA (NxN structured array where N stands
%  for the number of bodies):
%   T(i,j)=0    ==> no joint between body i and body j
%   T(i,j)=Inf  ==> pivot joint between body i and body j
%   T(i,j)      ==> tooth number on body i in the gear joint between body i
%   and body j

T=zeros(size(data));
for ii=1:length(data),
    for jj=ii+1:length(data),
        if data(ii,jj).type=='e',
            T(ii,jj)=data(ii,jj).Z1;
            T(jj,ii)=data(ii,jj).Z2;
        if data(ii,jj).type=='p',
            T(ii,jj)=Inf;
            T(jj,ii)=Inf;
        end
        elseif data(ii,jj).type=='l',
            T(ii,jj)=Inf;
            T(jj,ii)=Inf;
        end
    end
end