function [multi,tab]=multiturning(data);
% [MULTI,TAB]=multiturning(DATA) returns multi-turning pairs (shaded polygons)
%   for mechanism DATA:
%     * MULTI(I,:) gives all the links in shaded polygon # I,
%     * TAB(J,:) gives all shaded polygons including link # J.

for ii=1:length(data),
    for jj=ii+1:length(data),
        if data(ii,jj).type=='p',
            tab(ii,jj)=data(ii,jj).level;
            tab(jj,ii)=data(ii,jj).level;
        end
        if data(ii,jj).type=='l',
            tab(ii,jj)=data(ii,jj).level;
            tab(jj,ii)=data(ii,jj).level;
        end
    end
end
for ii=1:max(max(tab)),
    for jj=1:length(data),
        if ~isempty(find(tab(jj,:)==ii)),
            multi(ii,jj)=jj;
        end
    end
end
